Package ru.bgcrm.plugin.bgbilling.proto.model.helpdesk

# Class HdTopic

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.bgbilling.proto.model.helpdesk.HdTopic

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class HdTopic extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdTopic()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContact()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `BigDecimal`
  `getCost()`
  `Date`
  `getLastMessageTime()`
  `int`
  `getMessageCount()`
  `int`
  `getStatusId()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `boolean`
  `isAutoClose()`
  `boolean`
  `isClosed()`
  `void`
  `setAutoClose(boolean autoClose)`
  `void`
  `setClosed(boolean state)`
  `void`
  `setContact(String contact)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setLastMessageTime(Date lastMessageTime)`
  `void`
  `setMessageCount(int messageCount)`
  `void`
  `setStatusId(int statusId)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### HdTopic

    public HdTopic()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public void setClosed(boolean state)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUserTitle

    public String getUserTitle()

  - ### setUserTitle

    public void setUserTitle(String userTitle)

  - ### getMessageCount

    public int getMessageCount()

  - ### setMessageCount

    public void setMessageCount(int messageCount)

  - ### getLastMessageTime

    public Date getLastMessageTime()

  - ### setLastMessageTime

    public void setLastMessageTime(Date lastMessageTime)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### getStatusId

    public int getStatusId()

  - ### setStatusId

    public void setStatusId(int statusId)

  - ### getContact

    public String getContact()

  - ### setContact

    public void setContact(String contact)

  - ### isAutoClose

    public boolean isAutoClose()

  - ### setAutoClose

    public void setAutoClose(boolean autoClose)